Folliow

Loading...
Searching...
No Matches
UserModel Class Reference
Inheritance diagram for UserModel:

## Public Member Functions
| findAllUsers ()
| verifUser (string $strMail, string $strPwd)
| insert (object $objUser)
| remember (int $userId, string $token)
| getTokenUser (string $hash)
| deleteToken (string $hash)
| update (object $objUser)
| mailExists (string $mail)
| editStatus (object $objUser)
| delete_soft (int $intId)
| findUserById (int $intId)
| findUserByPseudo (string $strPseudo)
| pseudoExists (string $pseudo)

## Additional Inherited Members
Protected Attributes inherited from MotherModel
| $_db

## Detailed Description

Traitement des requêtes pour les utilisateurs

Author
  : Yasser, Guillaume & Besnik

## Constructor & Destructor Documentation

## ◆ __construct()

__construct | ( |  | ) |

Reimplemented from MotherModel.

## Member Function Documentation

## ◆ delete_soft()

delete_soft | ( | int | $intId | ) |

Fonction permettant de supprimer un utilisateur avec une date de suppression

Parameters

  int | $intId | L'identifiant de l'utilisateur

Returns
  bool Est-ce que la requête s'est bien passée

## ◆ deleteToken()

deleteToken | ( | string | $hash | ) |

Méthode pour supprimer le token lors de la déconnexion

Parameters

  string | $hash | Token hashé unique lié à l'utilisateur

Returns
  bool Est-ce que la requête s'est bien passée

## ◆ editStatus()

editStatus | ( | object | $objUser | ) |

Fonction de changement de status d'un utilisateur

Parameters

  object | $objUser | L'objet utilisateur

Returns
  bool Est-ce que la requête s'est bien passée

## ◆ findAllUsers()

findAllUsers | ( |  | ) |

Fonction de recherche des utilisateurs et leur niveau d'autorisation

Returns
  array

## ◆ findUserById()

findUserById | ( | int | $intId | ) |

Récupère les informations d'un utilisateur par son ID

Parameters

  int | $intId | L'identifiant de l'utilisateur

Returns
  array Tableau associatif (ou false si pas trouvé)

## ◆ findUserByPseudo()

findUserByPseudo | ( | string | $strPseudo | ) |

Récupère les informations d'un utilisateur par son ID

Parameters

  string | $strPseudo | Pseudo de l'utilisateur

Returns
  array Tableau associatif (ou false si pas trouvé)

## ◆ getTokenUser()

getTokenUser | ( | string | $hash | ) |

Méthode pour récupperer l'utilisateur par rapport au cookie enregistrer

Parameters

  string | $hash | Token hashé unique lié à l'utilisateur

Returns
  bool Est-ce que la requête s'est bien passée

## ◆ insert()

insert | ( | object | $objUser | ) |

Fonction d'insertion d'un utilisateur en BDD

Parameters

  object | $objUser | L'objet utilisateur

Returns
  bool Est-ce que la requête s'est bien passée

## ◆ mailExists()

mailExists | ( | string | $mail | ) |

Fonction de vérification de mail

Parameters

  string | $mail |

Returns
  bool Est-ce que la requête s'est bien passée

## ◆ pseudoExists()

pseudoExists | ( | string | $pseudo | ) |

Verifie sur le pseudo entré n'est pas déjà utilisé

Parameters

  string | $pseudo | Pseudo a verifié

Returns
  bool Le pseudo existe ou pas

## ◆ remember()

remember | ( | int | $userId,
|  | string | $token )

Méthode pour sauvegarder l'utilisateur lorsqu'il veut être souvenue

Parameters

  int | $userId | l'id de l'utilisateur a se rappeler
  string | $token | Token hashé unique lié à l'utilisateur à se rappeler

Returns
  bool Est-ce que la requête s'est bien passée

## ◆ update()

update | ( | object | $objUser | ) |

Méthode pour mettre a jour l'utilisateur

Parameters

  object | $objUser | L'objet user a mettre à jour

Returns
  bool Est-ce que la requête s'est bien passée

## ◆ verifUser()

verifUser | ( | string | $strMail,
|  | string | $strPwd )

Fonction de vérification des utilisateurs

Parameters

  string | $strMail |
  string | $strPwd |

Returns
  array|bool

The documentation for this class was generated from the following file:

- D:/projetphp/models/UserModel.php